package sdk

import "code.gitea.io/sdk/gitea"

// GetForks returns all of a repository's forks
// TODO Update to handle paging when SDK supports
func GetForks(client *gitea.Client, owner, repo string) ([]*gitea.Repository, error) {
	repos, err := client.ListForks(owner, repo)
	if err != nil {
		return nil, err
	}
	return repos, nil
}

// TODO List Stargazers when SDK supports
// TODO List Watchers when SDK supports
